Bug 1564347 - consider keeping python2-kickstart around a bit longer
Summary: consider keeping python2-kickstart around a bit longer
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pykickstart
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-06 02:54 UTC by Kevin Fenzi
Modified: 2018-04-16 20:58 UTC (History)
10 users (show)

Fixed In Version: pykickstart-3.12-4.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-16 20:52:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Kevin Fenzi 2018-04-06 02:54:15 UTC
I know that python2 is going to go away soon, but pykickstart dropping the python2 subpackage right now puts us in a bad spot. 

python2-kickstart is used by python2-imgcreate which is in turn needed by appliance-tools, which is used to make all the Fedora appliance images. ;( 

appliance-tools is python2 only and a dead end. 
livemedia-creator now supports making appliances. 

However, koji has not yet added a way for us to call it to do that. 
As soon as that exists we will be moving to it. 

So, could you consider keeping the python2-kickstart subpackage for a bit longer? 

I have untagged the pykickstart that drops it for now since we are trying to get a rawhide compose (and have been for a while now). 

Thanks and sorry we are in this mess. :(

Comment 1 Adam Williamson 2018-04-06 20:19:13 UTC
CCing dcantrell, as he actually did the build in question.

Comment 2 David Cantrell 2018-04-12 14:14:54 UTC
Yeah, I can do that.  The reason I turned it off for the most recent rawhide build was to bring things in line with the build for EL8.  If Fedora still needs the python2 subpackages around for a while longer, I'll turn them back on.  Not a problem.

Comment 3 Kevin Fenzi 2018-04-13 16:08:28 UTC
Yes, that would be great. Thank you!

We will work on moving over to livemedia-creator for appliances.

Comment 4 Neal Gompa 2018-04-16 20:51:37 UTC
There's actually not a lot needed to get appliance-creator moved to python 3. I just need to purge python-urlgrabber dependency, and then the whole thing can be switched over.

Comment 5 David Cantrell 2018-04-16 20:58:41 UTC
Also fixed in F28 as pykickstart-3.12-2.fc28


Note You need to log in before you can comment on or make changes to this bug.